# Uses of Interface
org.eclipse.net4j.util.Predicate

Packages that use Predicate
Package
Description
org.eclipse.net4j.util
Utility classes.
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.

## Uses of Predicate in org.eclipse.net4j.util

Classes in org.eclipse.net4j.util that implement Predicate
Modifier and Type
Class
Description
`static final class`
`Predicate.DelegatingPredicate<T>`
Deprecated.
As of 3.10 use `Predicate`.
`static final class`
`Predicates.ExcludedPredicate<T>`
Deprecated.
`static final class`
`Predicates.IncludedPredicate<T>`
Deprecated.
`static final class`
`Predicates.UniquePredicate<T>`
Deprecated.
Methods in org.eclipse.net4j.util that return Predicate
Modifier and Type
Method
Description
`static <T> Predicate<T>`
Predicates.`alwaysFalse()`
Deprecated.
`static <T> Predicate<T>`
Predicates.`alwaysTrue()`
Deprecated.
`static <T> Predicate<T>`
Predicates.`excluded(Set<T> exclusions)`
Deprecated.
`static <T> Predicate<T>`
Predicates.`fromJava8(Predicate<T> from)`
Deprecated.
`static <T> Predicate<T>`
Predicates.`included(Set<T> inclusions)`
Deprecated.
`static <T> Predicate<T>`
Predicates.`unique()`
Deprecated.
Methods in org.eclipse.net4j.util with parameters of type Predicate
Modifier and Type
Method
Description
`static <T> Predicate<T>`
Predicates.`toJava8(Predicate<T> from)`
Deprecated.

## Uses of Predicate in org.eclipse.net4j.util.collection

Methods in org.eclipse.net4j.util.collection that return Predicate
Modifier and Type
Method
Description
`Predicate<? super T>`
PredicateIterator.`getPredicate()`
Deprecated.
Constructors in org.eclipse.net4j.util.collection with parameters of type Predicate
Modifier
Constructor
Description
``
`PredicateIterator(Iterator<T> delegate, Predicate<? super T> predicate)`
Deprecated.
``
`PredicateIterator(Predicate<? super T> predicate, Iterator<T> delegate)`
Deprecated.